# Class Color

java.lang.Object
org.jmol.awtjs.swing.Color

All Implemented Interfaces:
  `GenericColor`

public class Color extends Object implements GenericColor

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`argb`

## Constructor Summary

Constructors
Constructor
Description
`Color()`

## Method Summary

Modifier and Type
Method
Description
`GenericColor`
`addAlpha(int a)`
`static GenericColor`
`get1(int rgb)`
`static GenericColor`
`get3(int r, int g, int b)`
`static GenericColor`
`get4(int r, int g, int b, int a)`
`int`
`getOpacity255()`
`int`
`getRGB()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### argb

public int argb

## Constructor Details

### Color

public Color()

## Method Details

### addAlpha

public GenericColor addAlpha(int a)

Specified by:
  `addAlpha` in interface `GenericColor`

### getRGB

public int getRGB()

Specified by:
  `getRGB` in interface `GenericColor`

### getOpacity255

public int getOpacity255()

Specified by:
  `getOpacity255` in interface `GenericColor`

### get1

public static GenericColor get1(int rgb)

### get3

public static GenericColor get3(int r, int g, int b)

### get4

public static GenericColor get4(int r, int g, int b, int a)

### toString

public String toString()

Overrides:
  `toString` in class `Object`